curl -X POST https://zeplo.ai/api/payment/verify/stripe \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "sessionId": "cs_abc123..." }'
{
"success": true,
"message": "Payment verified successfully",
"data": {
"transactionId": "txn_abc123",
"status": "completed",
"planId": 2,
"amount": 29.99,
"currency": "USD"
}
}
Payments
POST Verify Payment
Verify a completed payment.
POST
/
api
/
payment
/
verify
/
stripe
curl -X POST https://zeplo.ai/api/payment/verify/stripe \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "sessionId": "cs_abc123..." }'
{
"success": true,
"message": "Payment verified successfully",
"data": {
"transactionId": "txn_abc123",
"status": "completed",
"planId": 2,
"amount": 29.99,
"currency": "USD"
}
}
Verify Stripe payment
POST /api/payment/verify/stripe
Verify a payment after the user completes it on the gateway.
Headers
string
required
Session cookie (login via POST /api/auth/login)
Body parameters
string
required
Stripe checkout session ID.
{
"sessionId": "cs_abc123..."
}
curl -X POST https://zeplo.ai/api/payment/verify/stripe \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{ "sessionId": "cs_abc123..." }'
Verify Razorpay payment
POST /api/payment/verify/razorpay
Body parameters
string
required
Razorpay order ID.
string
required
Razorpay payment ID.
string
required
Razorpay signature for verification.
{
"razorpayOrderId": "order_abc123",
"razorpayPaymentId": "pay_xyz789",
"razorpaySignature": "abc123def456..."
}
Verify PayPal payment
POST /api/payment/verify/paypal
Body parameters
string
required
PayPal order ID.
{
"orderId": "PAYID-ABC123..."
}
Verify Paystack payment
POST /api/payment/verify/paystack
Body parameters
string
required
Paystack payment reference.
{
"reference": "ref_abc123..."
}
Verify Mercado Pago payment
POST /api/payment/verify/mercadopago
Body parameters
string
required
Mercado Pago payment ID.
{
"paymentId": "1234567890"
}
{
"success": true,
"message": "Payment verified successfully",
"data": {
"transactionId": "txn_abc123",
"status": "completed",
"planId": 2,
"amount": 29.99,
"currency": "USD"
}
}
